Subject: bug#39618: 28.0.50; gnus nnimap reports more group articles than actually exist

From: Deus Max <[email-masked]>
Date: Mon, 27 Jul 2020 19:41:52 +0300

On Mon, Jul 27 2020, Eric Abrahamsen wrote:

> Deus Max <[email-masked]> writes:
>
>
> [...]
>
>> Clearing the.newsrc is not the best solution, as it also clear other
>> useful info, such as group levels.
>>
>> Perhaps, there could be a function -for the nnimap backend- to
>> reset the article counts for a specific group or server?
>
> If it's just happening in a few problem groups, I think you could edit
> the group info ("G E") and just delete the marks for that group in
> particular. That would still require a little care, but be less drastic
> than clearing.newsrc.eld altogether, and ought to achieve the same
> effect.

Thanks Eric,

That is great advice. I have encountered the issue about 3 times,
though now it has been a while without a problem. Each time I ended up
starting over. The last time, even tried to edit the .newsrc manually.

If/when it happens again, will use your advice and see how it goes. I
have a feeling it should be good.

Thank you.